add uninstall script

This commit is contained in:
sorrel 2024-04-24 17:03:46 -04:00
parent 9cfd75232c
commit f287ca3a96

21
uninstall.sh Executable file
View file

@ -0,0 +1,21 @@
#!/bin/sh -e
installtarget=/usr/local/bin
chatlog=/var/log/bunkchat/chat.log
# check for root perms
if ! [ "$(id -u)" = 0 ]; then
echo
echo "ERROR: please run uninstall with root permissions"
exit 1
fi
echo
echo "uninstalling bunkchat"
chattr -a $chatlog || rm $chatlog || echo && echo "ERROR: couldn't mutate $chatlog" && exit 1
rm $chatlog
rm $installtarget/heed
rm $installtarget/proclaim
rm $installtarget/scry
echo
echo "SUCCESS! bunkchat uninstalled"